{ pkgs, inputs, ... }: {
  # Install hyprland
  programs.hyprland = {
    enable = true;
    #package = inputs.hyprland.packages."${pkgs.system}".hyprland;
    xwayland.enable = true;
  };

  xdg.portal.enable = true;
  
  programs.hyprlock.enable = true;
  environment.systemPackages = [
    # Fix for hyprpanel network icon
    pkgs.adwaita-icon-theme
    pkgs.cava
    pkgs.grim
    pkgs.hyprpicker
    pkgs.hyprshot
    pkgs.jq
    pkgs.libnotify
    pkgs.swww
    pkgs.wl-clipboard
    pkgs.wlr-randr
    pkgs.xdg-desktop-portal-gtk
    pkgs.xdg-desktop-portal-wlr
    pkgs.xdotool
  ];
}

